#pragma once
#include "HitResult.h"

#include "Utils/FileUtils.h"

#include "Actor.h"

class Level {
public:
	auto getRuntimeActorList() -> std::vector<Actor*>;
	auto forEachPlayer(std::function<bool(class Player&)>) -> void;
	auto getHitResult() -> HitResult&;
};
